Skip to Content

Cohorts

11 endpoints

POST /api/v5/artifacts/cohorts/search

Search Cohort

Search cohorts — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_profile_ids?: `string`[] | `null` filter_simulation_ids?: `string`[] | `null` filter_department_ids?: `string`[] | `null` profile_search?: `string` | `null` simulation_search?: `string` | `null` department_search?: `string` | `null` flag_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` user_role?: `string` | `null` cohorts?: `ListCohortApiCohort`[] | `null` profiles?: `ListCohortApiProfile`[] | `null` simulations?: `ListCohortApiSimulation`[] | `null` departments?: `ListCohortApiDepartment`[] | `null` simulation_filter?: `ListFilterSection` | `null` profile_filter?: `ListFilterSection` | `null` department_filter?: `ListFilterSection` | `null` flag_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` import_fields?: `any`[] | `null` }

POST /api/v5/artifacts/cohorts/get

Get Cohort

Get cohort information using the canonical shared cohort operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ cohort_id?: `string` | `null` descriptions_search?: `string` | `null` simulation_search?: `string` | `null` simulation_show_selected?: `boolean` | `null` profile_search?: `string` | `null` profile_show_selected?: `boolean` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` cohort_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` simulations_step_show_ai_generate?: `boolean` | `null` profiles_step_show_ai_generate?: `boolean` | `null` names?: `CohortNameSection` | `null` descriptions?: `CohortDescriptionSection` | `null` flags?: `CohortFlagSection` | `null` departments?: `CohortDepartmentSection` | `null` simulations?: `CohortSimulationSection` | `null` simulation_positions?: `CohortSimulationPositionSection` | `null` simulation_availability?: `CohortSimulationAvailabilitySection` | `null` profiles?: `CohortProfileSection` | `null` profile_personas?: `CohortProfilePersonaSection` | `null` personas?: `GetPersonaResponse`[] | `null` }

POST /api/v5/artifacts/cohorts/create

Create Cohort

Create cohorts using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ cohorts: `CreateCohortItem`[] }

Response:

{ results: `CohortResultItem`[] }

POST /api/v5/artifacts/cohorts/update

Update Cohort

Update cohorts using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ cohorts: `UpdateCohortItem`[] }

Response:

{ results: `CohortResultItem`[] }

POST /api/v5/artifacts/cohorts/duplicate

Duplicate Cohort

Duplicate a cohort — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ cohort_id: `string` }

Response:

{ success: `boolean` cohort_id: `string` message: `string` }

POST /api/v5/artifacts/cohorts/delete

Delete Cohort

Bulk delete cohorts — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ cohort_ids: `string`[] }

Response:

{ results: `DeleteCohortResult`[] }

PATCH /api/v5/artifacts/cohorts/draft

Patch Cohort Draft

Patch cohort draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_id?: `string` | `null` department_ids?: `string`[] | `null` simulation_ids?: `string`[] | `null` profile_ids?: `string`[] | `null` simulation_position_ids?: `string`[] | `null` simulation_positions?: `DraftSimulationPositionValue`[] | `null` simulation_availability_ids?: `string`[] | `null` simulation_availability?: `DraftSimulationAvailabilityValue`[] | `null` profile_persona_ids?: `string`[] | `null` profile_personas?: `DraftProfilePersonaValue`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `CohortDraftFormState` | `null` }

POST /api/v5/artifacts/cohorts/drafts

Get Cohort Drafts

List cohort drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetCohortDraftResponse`[] | `null` }

POST /api/v5/artifacts/cohorts/export

Export Cohorts

Export all cohorts as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ cohort_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/cohorts/docs

Get Cohort Docs Endpoint

Get composed documentation for the cohort artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/cohorts/refresh

Cohort Refresh

Refresh cohort materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

Last updated on